
Public Support - Support Request #14644

Write a test with trigger_runner()

2021-06-29 05:30 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

 

Department:  Affected Products: ADTF 3.12.5

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::TestingSDK

Resolution: Solved Issue FAQ Links: https://support.digitalwerk.net/projects/do

wnload-center/wiki/FAQ's#Q-How-to-use

-a-trigger-runner-in-a-test

Description

Supportanfrage

Gibt es ein Äquivalent zum cTestWriter aber für Time Triggering?

Oder was wäre eine zu empfehlende Vorgehensweise, um Time-getriggerte Filter zu probieren?

Lösung

Dafür kannst Du einfach trigger_runner() (

https://support.digitalwerk.net/adtf/v3/adtf_html/namespaceadtf_1_1streaming_1_1testing_1_1hollow.html#a7ab7163c15d9d1f130fa

4e5fcc3d0fa0)

in deinem Test verwenden. Oder du verbindest einen echten Timer Runner mit deinem Filter. Für komplexerer Verschaltungen bietet

sich cSessionTestSystem an, mit dem du eine ADTF Session laden und starten kannst.

Einen trigger_runner() kannst du wie folgt umsetzen:

class cTestFilter: public cFilter

{

    public:

        cTestFilter()

        {

            CreateRunner("do_something");

        }

        tResult Process(tNanoSeconds /*tmTrigger*/, IRunner* /*pRunner*/) override

        {

            LOG_INFO("triggered");

            RETURN_NOERROR;

        }

};

void test_function()

{

    cTestFilter oFilter;

    trigger_runner(oFilter, "do_something");

}
- Topic set to ADTF::TestingSDK

#2 - 2021-06-29 06:24 - hidden

Hallo Gustavo,

dafür kannst Du einfach trigger_runner() (

https://support.digitalwerk.net/adtf/v3/adtf_html/namespaceadtf_1_1streaming_1_1testing_1_1hollow.html#a7ab7163c15d9d1f130fa4e5fcc3d0fa0)

in deinem Test verwenden. Oder du verbindest einen echten Timer Runner mit deinem Filter. Für komplexerer Verschaltungen bietet sich

cSessionTestSystem an, mit dem du eine ADTF Session laden und starten kannst.

Grüße,

Martin

#3 - 2021-06-29 06:45 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2021-07-02 06:54 - hidden

Hallo Martin,

vielen Dank für deine Antwort.

Hättest du ein Beispiel von der Umsetzung vom trigger_runner() ?

Grüße,

Gustavo

#5 - 2021-07-02 10:14 - hidden

Hi Gustavo,

hilft Dir das?:

class cTestFilter: public cFilter

{

    public:

        cTestFilter()

        {

            CreateRunner("do_something");

        }

        tResult Process(tNanoSeconds /*tmTrigger*/, IRunner* /*pRunner*/) override

        {

            LOG_INFO("triggered");

            RETURN_NOERROR;

        }

};

void test_function()

{

    cTestFilter oFilter;

    trigger_runner(oFilter, "do_something");

}

 Grüße,

Martin
- Description updated

#7 - 2021-07-05 11:02 - hidden

^Hallo Martin,

ja, es hat geholfen. Danke dir.

Das Ticket kann geschlossen werden.

Viele Grüße,

Gustavo
- Status changed from Customer Feedback Required to In Progress

- Resolution set to Solved Issue
- FAQ Links set to https://support.digitalwerk.net/projects/download-center/wiki/FAQ's/edit#Q-How-can-I-generate-time-triggered-filter

- Affected Products ADTF 3.12.5 added

- Platform Windows 10 64bit added
- Status changed from In Progress to To Be Closed
- Project changed from 30 to Public Support

- Subject changed from ADTF3  - Testing -  cTestWriter but for time triggering to Write a test with trigger_runner()

- Description updated

- Private changed from Yes to No
- FAQ Links changed from https://support.digitalwerk.net/projects/download-center/wiki/FAQ's/edit#Q-How-can-I-generate-time-triggered-filter to

https://support.digitalwerk.net/projects/download-center/wiki/FAQ's/#Q-How-to-generate-time-triggerd-filter
- FAQ Links changed from https://support.digitalwerk.net/projects/download-center/wiki/FAQ's/#Q-How-to-generate-time-triggerd-filter to
- Status changed from To Be Closed to Closed
